#include <stdio.h>
#include <math.h>

void naive_fft3d(int n, char *infile, char *outfile);

main(int argc, char **argv)
{
  int n;
  char *infile, *outfile;
  double max_diff, diff;
  FILE *fp1, *fp2;
  double re1, im1, re2, im2;
  int i, j, k;

  if (argc != 3) {
    fprintf(stderr,"format: compare file1 file2\n");
    exit(-1);
  }
  
  fp1 = fopen(argv[1],"r");
  fp2 = fopen(argv[2],"r");

  fscanf(fp1,"%d\n", &n);
  fscanf(fp2,"%d\n", &n);

  max_diff = 0.0;

  for (i=0; i<n; i++) {
    for (j=0; j<n; j++) {
      for (k=0; k<n; k++) {
	fscanf(fp1,"%lf %lf\n", &re1, &im1);
	fscanf(fp2,"%lf %lf\n", &re2, &im2);
	diff = sqrt((re1-re2)*(re1-re2) + (im1-im2)*(im1-im2));
	if (diff > max_diff)
	  max_diff = diff;
      }
    }
  }

  fclose(fp1);
  fclose(fp2);

  printf("  max componentwise distance: %g\n", max_diff);

}
